=== debian/changelog ===
pinfish (0.1.0+ds-4) unstable; urgency=medium

  * Team upload.
  * Cleanup bam files from dh_auto_test
    Closes: #1048260
  * Standards-Version: 4.6.2 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * No tab in license text (routine-update)
  Add missing ${misc:Built-Using} to Built-Using on pinfish.
  Apply multi-arch hints.

   + pinfish-examples: Add Multi-Arch: foreign.


 -- Andreas Tille <tille@debian.org>  Fri, 12 Jan 2024 07:23:48 +0100

pinfish (0.1.0+ds-3) unstable; urgency=medium

  * Declare compliance with policy 4.5.1
  * Remove d/gitlab-ci.yml, add d/salsa-ci.yml
  * d/p/do-not-overflow-int.patch: Declare minlen as
    per arch that we are building on to avoid
    integer overflow

 -- Nilesh Patra <nilesh@debian.org>  Tue, 17 Aug 2021 21:33:10 +0530

pinfish (0.1.0+ds-2) unstable; urgency=medium

  * Limit testing to amd64 and arm64 for now
  * Source-only-upload for testing migration

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 10 Nov 2020 14:51:27 +0530

pinfish (0.1.0+ds-1) unstable; urgency=medium

  * Initial release (Closes: #970447)

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 16 Sep 2020 12:36:21 +0530
