=== debian/changelog ===
pinfish (0.1.0+ds-4ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 25 Jun 2025 17:25:14 +1000

pinfish (0.1.0+ds-4ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 07 Nov 2024 12:46:00 +1000

pinfish (0.1.0+ds-4ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 08:30:48 +0530
