=== debian/control ===
Source: pinfish
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-biogo-biogo-dev,
               golang-github-biogo-hts-dev,
               golang-github-google-uuid-dev,
               samtools,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/pinfish
Vcs-Git: https://salsa.debian.org/med-team/pinfish.git
Homepage: https://github.com/nanoporetech/pinfish
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/nanoporetech/pinfish

Package: pinfish
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         minimap2,
         racon
Built-Using: ${misc:Built-Using}
Description: Collection of tools to annotate genomes using long read transcriptomics data
 The toolchain is composed of the following tools:
 1. spliced_bam2gff - a tool for converting sorted BAM
 files containing spliced alignments
 into GFF2 format. Each read will be represented as a distinct
 transcript. This tool comes handy when visualizing spliced
 reads at particular loci and to provide input to the rest
 of the toolchain.
 .
 2. cluster_gff - this tool takes a sorted GFF2 file as
 input and clusters together reads having similar
 exon/intron structure and creates a rough consensus
 of the clusters by taking the median of exon
 boundaries from all transcripts in the cluster.
 .
 3. polish_clusters - this tool takes the cluster
 definitions generated by cluster_gff and for each
 cluster creates an error corrected read by mapping
 all reads on the read with the median length
 and polishing it using racon. The polished reads
 can be mapped to the genome using minimap2 or GMAP.
 .
 4. collapse_partials - this tool takes GFFs generated
 by either cluster_gff or polish_clusters and filters
 out transcripts which are likely to be based on RNA
 degradation products from the 5' end. The tool clusters
 the input transcripts into "loci" by the 3' ends and
 discards transcripts which have a compatible transcripts
 in the loci with more exons.

Package: pinfish-examples
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: foreign
Description: Examples and test data for pinfish
 The toolchain is composed of the following tools:
 1. spliced_bam2gff - a tool for converting sorted BAM
 files containing spliced alignments
 into GFF2 format. Each read will be represented as a distinct
 transcript. This tool comes handy when visualizing spliced
 reads at particular loci and to provide input to the rest
 of the toolchain.
 .
 2. cluster_gff - this tool takes a sorted GFF2 file as
 input and clusters together reads having similar
 exon/intron structure and creates a rough consensus
 of the clusters by taking the median of exon
 boundaries from all transcripts in the cluster.
 .
 3. polish_clusters - this tool takes the cluster
 definitions generated by cluster_gff and for each
 cluster creates an error corrected read by mapping
 all reads on the read with the median length
 and polishing it using racon. The polished reads
 can be mapped to the genome using minimap2 or GMAP.
 .
 4. collapse_partials - this tool takes GFFs generated
 by either cluster_gff or polish_clusters and filters
 out transcripts which are likely to be based on RNA
 degradation products from the 5' end. The tool clusters
 the input transcripts into "loci" by the 3' ends and
 discards transcripts which have a compatible transcripts
 in the loci with more exons.
 .
 This package contains a test data set as well as sample scripts
 running some test suite provided by Debian also as autopkgtest.
