=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_clean:
	dh_auto_clean
	find . -name "*.bam" -delete

override_dh_auto_test:
	dh_auto_test
	cat debian-tests-data/sirv_e0_sorted.sam| samtools view -Sb - > polish_clusters/test_data/sirv_e0_sorted.bam
	cat debian-tests-data/sirv_errors_gmap.sam| samtools view -Sb - > spliced_bam2gff/test_data/sirv_errors_gmap.bam
	cat debian-tests-data/sirv_no_errors_gmap.sam| samtools view -Sb - > spliced_bam2gff/test_data/sirv_no_errors_gmap.bam
	cat debian-tests-data/sirv_simulated.sam| samtools view -Sb - > spliced_bam2gff/test_data/sirv_simulated.bam

override_dh_auto_install:
	dh_auto_install -- --no-source
