=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pinfish-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/nanoporetech/pinfish/tags .*/v?(\d\S*)\.tar\.gz debian
